export enum BountyCheckStatusEnum {
  /**
   * 未提交
   */
  NotSubmit = -10,
  /**
   * 待审核
   */
  WaitCheck = 10,
  /**
   * 审核通过
   */
  CheckPassed = 20,
  /**
   * 审核不通过
   */
  CheckReject = 30,
}

export const BountyCheckStatusEnumText = {
  [BountyCheckStatusEnum.WaitCheck]: '待审核',
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '审核未通过',
};
export const BountyCheckStatusEnumTextForAudit = {
  [BountyCheckStatusEnum.CheckPassed]: '审核通过',
  [BountyCheckStatusEnum.CheckReject]: '驳回',
};

export enum SettleStatusEnum {
  /**
   * 待发放
   */
  WaitForSettle = 1,
  /**
   * 已发放
   */
  HasSettle = 2,
}

export const SettleStatusEnumText = {
  [SettleStatusEnum.WaitForSettle]: '待发放',
  [SettleStatusEnum.HasSettle]: '已发放',
};

export enum IncomeStatusEnum {
  /**
   * 待入账
   */
  WaitForIncome = 1,
  /**
   * 已入账
   */
  HasIncome = 2,
}

export const IncomeStatusEnumText = {
  [IncomeStatusEnum.WaitForIncome]: '待入账',
  [IncomeStatusEnum.HasIncome]: '已入账',
};

export enum EnterpriseBountyPayTypeEnum {
  /**出金 */
  PayOut = 1,
  /**入金 */
  PayIn = 2,
}

export const EnterpriseBountyPayTypeEnumText = {
  [EnterpriseBountyPayTypeEnum.PayOut]: '出金',
  [EnterpriseBountyPayTypeEnum.PayIn]: '入金',
};
